package com.zd.laboratory.domain.vo;

import com.zd.laboratory.domain.LabExitLine;
import com.zd.laboratory.domain.LabExitLineJoin;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * Controller
 *
 * @author cyl
 * @date 2022/1/25
 */
@ApiModel("逃生线路表")
public class LabExitLineVO extends LabExitLine {

    @ApiModelProperty(value = "实验室名称")
    private String subNames;

    private List <LabExitLightVO> lineJoinList = new ArrayList<>();

    private List <LabExitLineJoinVO> labExitLineJoinList = new ArrayList<>();


    public List <LabExitLightVO> getLineJoinList() {
        return lineJoinList;
    }

    public void setLineJoinList(List <LabExitLightVO> lineJoinList) {
        this.lineJoinList = lineJoinList;
    }

    public String getSubNames() {
        return subNames;
    }

    public void setSubNames(String subNames) {
        this.subNames = subNames;
    }

    public List <LabExitLineJoinVO> getLabExitLineJoinList() {
        return labExitLineJoinList;
    }

    public void setLabExitLineJoinList(List <LabExitLineJoinVO> labExitLineJoinList) {
        this.labExitLineJoinList = labExitLineJoinList;
    }
}
